<template>
    <div
        class="w-full flex flex-col justify-between me-body-container"
    >
        <div>
            <header-circle-container>
                <div
                    class="text-2xl font-black capitalize"
                >
                    {{ $user.username }}
                </div>
                <div class="uppercase">
                    ID: {{ $user.member_id }}
                </div>
            </header-circle-container>
            <div
                class="flex flex-col space-y-2 px-2 py-6"
            >
                <custom-card>
                    <div
                        class="w-full flex justify-start space-x-1 items-center cursor-pointer"
                        @click="$router.push({name: 'user.c1.statement'})"
                    >
                        <div class="text-center mx-auto w-12 text-blue-900">
                            <font-awesome-icon
                                icon="fa-solid fa-wallet"
                            />
                        </div>
                        <div class="flex-1 font-bold capitalize text-lg">
                            {{ $t('credit_1_short') }}
                        </div>
                        <div>
                            $ {{ $helper.fundFormat($user.credit_1) }}
                        </div>
                    </div>
                </custom-card>
                <custom-card>
                    <div
                        class="w-full flex justify-start space-x-1 items-center cursor-pointer"
                        @click="$router.push({name: 'user.c2.statement'})"
                    >
                        <div class="text-center mx-auto w-12 text-blue-900">
                            <font-awesome-icon
                                icon="fa-solid fa-wallet"
                                size="1x"
                            />
                        </div>
                        <div class="flex-1 font-bold capitalize text-lg">
                            {{ $t('credit_2_short') }}
                        </div>
                        <div>
                            $ {{ $helper.fundFormat($user.credit_2) }}
                        </div>
                    </div>
                </custom-card>
                <custom-card>
                    <div
                        class="w-full flex justify-start space-x-1 items-center cursor-pointer"
                        @click="$router.push({name: 'user.me.security'})"
                    >
                        <div class="text-center mx-auto w-12 text-blue-900">
                            <font-awesome-icon
                                icon="fa-solid fa-key"
                                size="1x"
                            />
                        </div>
                        <div class="flex-1 font-bold capitalize text-lg">
                            {{ $t('account_security') }}
                        </div>
                        <div />
                    </div>
                </custom-card>
                <custom-card>
                    <div
                        class="w-full flex justify-start space-x-1 items-center cursor-pointer"
                        @click="$router.push({name: 'user.me.profile'})"
                    >
                        <div class="text-center mx-auto w-12 text-blue-900">
                            <font-awesome-icon
                                icon="fa-solid fa-user"
                                size="1x"
                            />
                        </div>
                        <div class="flex-1 font-bold capitalize text-lg">
                            {{ $t('my_profile')}}
                        </div>
                        <div />
                    </div>
                </custom-card>
                <custom-card>
                    <div
                        class="w-full flex justify-start space-x-1 items-center cursor-pointer"
                        @click="logout"
                    >
                        <div class="text-center mx-auto w-12 text-blue-900">
                            <font-awesome-icon
                                icon="fa-solid fa-lock"
                                size="1x"
                            />
                        </div>
                        <div class="flex-1 font-bold capitalize text-lg">
                            {{ $t('sign_out')}}
                        </div>
                        <div />
                    </div>
                </custom-card>
            </div>
        </div>
        <div
            class="pl-4"
        >
            <div
                class="capitalize"
            >
                For Support: Please email us at: <br>
                <a href="mailto:cs@aadiverse.com" class="lowercase underline text-blue-600">cs@aadiverse.com</a>
            </div>
        </div>
    </div>
</template>

<script setup>
import CustomCard from "~/components/custom-card.vue";
import {CONFIG} from "~/config.js";
import {useUserStore} from "~/stores/user.js";
import HeaderCircleContainer from "~/components/header-circle-container.vue";
import {computed, onMounted, inject} from "vue";
import {FontAwesomeIcon} from "@fortawesome/vue-fontawesome";
import {useI18n} from "vue-i18n";

const $helper = inject('$helper');
const $userStore = useUserStore();
const i18n = useI18n();

const $user = computed(() => {
    return $userStore.account;
});
const $userTotalCreditValue = computed(() => {
    return $userStore.creditTotalValue;
});
const logout = async () => {
    await $helper.alertConfirm({
        message: i18n.t('confirm_sign_out_from_app'),
        callback: async (result) => {
            if (result.isConfirmed) {
                await $userStore.logoutAccount();
                location.href = CONFIG.APP_ROOT;
            }
        }
    });
};

onMounted(async() => {
    await $userStore.fetchAccount();
});
</script>

<style scoped>
.me-body-container {
    min-height: calc(100vh - 80px);
}
</style>
